
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 矿机
 */

import { request } from '../index'


// 水晶分类
const category = () => {
	return request({
		url: 'crystal/category'
	})
}

// 水晶任务
const task = () => {
	return request({
		url: 'tasks'
	})
}

// 水晶用户签到-信息
const sign = () => {
	return request({
		url: 'user/sign'
	})
}

// 水晶用户签到
const operateSign = () => {
	return request({
		url: 'user/sign',
        method: 'POST'
	})
}

export{
    category,
	task,
    sign,
    operateSign
}
